<?	// Preamble
	$pageName = "Files";
	$focused = "none";					// Dock icon name to get a border
	require "parts/preamble.php";		// Load most of document
?>

<?
	function fileDownloadLink ($baseUrl, $extensions)
	{
		$extension = explode (' ', $extensions);
		$count = count ($extension);
		
		for ($i = 0 ; $i < $count ; $i++) {
			if ($i == 0) {
				echo '[ ';
			}
			echo '<A href="' . $baseUrl . '.' . $extension[$i] . '">' . $extension[$i] . '</A> ';
			if (($i+1) < $count) {
				echo '| ';
			} else {
				echo ']';
			}
			
		}
	}
?>

<P>QuakeForge is always in constant development.  Our development version has
the latest features, but changes rapidly as bugs are fixed and features are
added.  Stable versions do not change significantly once released, though we
sometimes make revisions of the stable branch to fix known bugs.

<H4>QuakeForge: Newtree</H4>

<P>Newtree is the beginning of a new way of thinking about the source tree.
The code in this tree is based specifically on Id Software's QuakeWorld 2.40
source code.  There is no support for NetQuake/UQuake in this tree in order
to keep it as bug-free as possible.  Development is fast and furious, here's
where the action is!

<P>QuakeForge: Newtree, Version 0.2.99 Beta 2
<UL>
	<LI>Source code
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta2", "tar.gz tar.bz2 zip"); ?>
	<LI>Win32 binaries (Made with Microsoft Developer Studio)
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta2-win32", "zip"); ?>
	<LI>Win32 binaries (Made with Borland C++) [ coming soon! ]
</UL>

<P>Development Snapshots (updated daily)
<UL>
	<LI>Source code
	<? fileDownloadLink("files/newtree-current", "tar.gz tar.bz2 zip"); ?>
	<LI>Win32 binaries (Made with Borland C++)
	<?
		fileDownloadLink ("files/newtree-win32-bc-current", "zip");
		$ftime = filemtime ("files/newtree-win32-bc-current.zip");
		echo " Updated " . date ("M. j, g:i a", $ftime) . " PT";
	?>
	<LI>Win32 binaries (Made with Microsoft Developer Studio)
	<?
		fileDownloadLink ("files/newtree-win32-current", "zip");
		$ftime = filemtime ("files/newtree-win32-current.zip");
		echo " Updated " . date ("M. j, g:i a", $ftime) . " PT";
	?>
</UL>

<H4>QuakeForge: NUQ</H4>

<P>QuakeForge: NUQ (pronounced &quot;Nuke&quot;) is, basically, the Classic
Quake version of Newtree. NUQ is based on the WinQuake engine, but with lots of
enhancements from the merged tree and Newtree. Being the reverse Newtree, there
is no support for QuakeWorld multiplayer protocols.

<P>Development Snapshots (updated daily)
<UL>
	<LI>Source code
	<? fileDownloadLink("files/nuq-current", "tar.gz tar.bz2 zip"); ?>
	<LI>Win32 binaries [ coming soon! ]
</UL>

<H4>QuakeForge Merged Tree</H4>

<P>Since current work is based on Newtree and NUQ, the merged tree snapshots
are no longer being made. You can still get it directly out of CVS, however.

<H4>QuakeForge Stable release (0.1.1, released 27 Feb 2000)</H4>

<P>QuakeForge 0.1 is our initial offering to the public. It's not really for
end-users, but served as a proof of concept that the Quake and QuakeWorld
trees are more closely related than initial look would indicate.

<UL>
	<LI>Source code
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.1.1", "tar.gz tar.bz2 zip"); ?>
	<LI>Win32 binaries [ n/a ]
</UL>

<H4>Miscellaneous Files</H4>
<UL>
	<LI>Quake Shareware
		<? fileDownloadLink ("files/quake-shareware", "tar.gz tar.bz2 zip"); ?>
	</LI>
	<LI>zlib home page. Needed for compressed pak support.
		<A href="http://www.info-zip.org/pub/infozip/zlib/">http://www.info-zip.org/pub/infozip/zlib/</a>
	</LI>
	<LI>PAK, GtkPAK (Packfile manager), source
		<? fileDownloadLink ("files/pak-0.2.2", "tar.gz tar.bz2 zip"); ?>
	</LI>
</UL>
<!--NOSEARCH-->
<?
	require "parts/postamble.php";		// Finish this sucker up
?>
